Index: prview/perspectives/pr/inversion_state.py
===================================================================
--- prview/perspectives/pr/inversion_state.py	(revision b1f7ec6423a746a228b9236f75a43432746979f4)
+++ prview/perspectives/pr/inversion_state.py	(revision 80d2872603c28aeaffc2a134625c8345db688870)
@@ -20,24 +20,25 @@
 CANSAS_NS = "cansas1d/1.0"
 
+# Translation of names between stored and object data
 ## List of P(r) inversion inputs 
-in_list=  [["nterms",       "self.nfunc"],
-           ["d_max",        "self.d_max"],
-           ["alpha",        "self.alpha"],
-           ["slit_width",   "self.width"],
-           ["slit_height",  "self.height"],
-           ["qmin",         "self.qmin"],
-           ["qmax",         "self.qmax"]]                      
+in_list=  [["nterms",       "nfunc"],
+           ["d_max",        "d_max"],
+           ["alpha",        "alpha"],
+           ["slit_width",   "width"],
+           ["slit_height",  "height"],
+           ["qmin",         "qmin"],
+           ["qmax",         "qmax"]]                      
 
 ## List of P(r) inversion outputs
-out_list= [["elapsed", "self.elapsed"],
-           ["rg",      "self.rg"],
-           ["iq0",     "self.iq0"],
-           ["bck",     "self.bck"],
-           ["chi2",    "self.chi2"],
-           ["osc",     "self.osc"],
-           ["pos",     "self.pos"],
-           ["pos_err", "self.pos_err"],
-           ["alpha_estimate", "self.alpha_estimate"],
-           ["nterms_estimate", "self.nterms_estimate"]]
+out_list= [["elapsed", "elapsed"],
+           ["rg",      "rg"],
+           ["iq0",     "iq0"],
+           ["bck",     "bck"],
+           ["chi2",    "chi2"],
+           ["osc",     "osc"],
+           ["pos",     "pos"],
+           ["pos_err", "pos_err"],
+           ["alpha_estimate", "alpha_estimate"],
+           ["nterms_estimate", "nterms_estimate"]]
 
 class InversionState(object):
@@ -181,5 +182,5 @@
         for item in in_list:
             element = newdoc.createElement(item[0])
-            exec "element.appendChild(newdoc.createTextNode(str(%s)))" % item[1]
+            exec "element.appendChild(newdoc.createTextNode(str(self.%s)))" % item[1]
             inputs.appendChild(element)
               
@@ -190,5 +191,5 @@
         for item in out_list:
             element = newdoc.createElement(item[0])
-            exec "element.appendChild(newdoc.createTextNode(str(%s)))" % item[1]
+            exec "element.appendChild(newdoc.createTextNode(str(self.%s)))" % item[1]
             outputs.appendChild(element)
                     
@@ -243,7 +244,7 @@
                     if input_field is not None:
                         try:
-                            exec '%s = float(input_field.text.strip())' % item[1]
+                            exec 'self.%s = float(input_field.text.strip())' % item[1]
                         except:
-                            exec '%s = None' % item[1]
+                            exec 'self.%s = None' % item[1]
                 input_field = get_content('ns:estimate_bck', entry)
                 if input_field is not None:
@@ -261,7 +262,7 @@
                     if input_field is not None:
                         try:
-                            exec '%s = float(input_field.text.strip())' % item[1]
+                            exec 'self.%s = float(input_field.text.strip())' % item[1]
                         except:
-                            exec '%s = None' % item[1]
+                            exec 'self.%s = None' % item[1]
             
                 # Look for coefficients
Index: prview/perspectives/pr/pr.py
===================================================================
--- prview/perspectives/pr/pr.py	(revision d7412e090d1ad393a58a00c02c5ca792da378806)
+++ prview/perspectives/pr/pr.py	(revision 80d2872603c28aeaffc2a134625c8345db688870)
@@ -23,4 +23,5 @@
 from sans.pr.invertor import Invertor
 from DataLoader.loader import Loader
+import DataLoader
 from sans.guiframe.data_loader import load_error 
 
@@ -594,5 +595,6 @@
 	            #TODO: we might want to check that the units are consistent with I(q)
 	            #      before allowing this menu item
-                return [["Compute P(r)", "Compute P(r) from distribution", self._on_context_inversion]]      
+                if issubclass(item.__class__, DataLoader.data_info.Data1D):
+                    return [["Compute P(r)", "Compute P(r) from distribution", self._on_context_inversion]]      
                 
         return []
